+++ /dev/null
-#!/bin/sh
-#
-# Partition the USB stick -- the stick is assumed to be at least 3GB in size
-#
-# First delete all existing partitions
-#
-
-if [ ! `whoami` = "root" ] ; then
- echo ""
- echo "You need to be root to run this shell script"
- echo ""
- exit 1
-fi
-if [ "x$USB_DEVICE" = "x" ] ; then
- if [ "x$1" = "x" ] ; then
- echo "You must supply the USB device name on the command line or in USB_DEVICE"
- exit 1
- else
- dev=$1
- fi
-else
- dev=$USB_DEVICE
-fi
-echo "This script will distroy everything on $dev"
-echo "Answer yes to continue "
-read a
-if [ "$a" != "yes" ] ; then
- echo "Device $dev unchanged"
- exit 1
-fi
-
-fdisk $dev <<EOF
-d
-4
-d
-3
-d
-2
-d
-1
-n
-p
-1
-
-+900M
-t
-1
-6
-a
-1
-n
-p
-2
-
-+1000M
-n
-p
-3
-
-
-p
-w
-EOF
-umount ${dev}1
-mkfs.vfat -F 16 -n kubuntu8 ${dev}1
-umount ${dev}2
-mkfs.ext2 -j -b 4096 -L casper-rw ${dev}2
-umount ${dev}3
-mkfs.ext2 -j -b 4096 -L home-rw ${dev}3
-sync
--- /dev/null
+#!/bin/sh
+#
+# Partition the USB stick -- the stick is assumed to be at least 3GB in size
+#
+# First delete all existing partitions
+#
+
+if [ ! `whoami` = "root" ] ; then
+ echo ""
+ echo "You need to be root to run this shell script"
+ echo ""
+ exit 1
+fi
+if [ "x$USB_DEVICE" = "x" ] ; then
+ if [ "x$1" = "x" ] ; then
+ echo "You must supply the USB device name on the command line or in USB_DEVICE"
+ exit 1
+ else
+ dev=$1
+ fi
+else
+ dev=$USB_DEVICE
+fi
+echo "This script will distroy everything on $dev"
+echo "Answer yes to continue "
+read a
+if [ "$a" != "yes" ] ; then
+ echo "Device $dev unchanged"
+ exit 1
+fi
+
+fdisk $dev <<EOF
+d
+4
+d
+3
+d
+2
+d
+1
+n
+p
+1
+
++900M
+t
+1
+6
+a
+1
+n
+p
+2
+
++1000M
+n
+p
+3
+
+
+p
+w
+EOF
+umount ${dev}1
+mkfs.vfat -F 16 -n kubuntu8 ${dev}1
+umount ${dev}2
+mkfs.ext2 -j -b 4096 -L casper-rw ${dev}2
+umount ${dev}3
+mkfs.ext2 -j -b 4096 -L home-rw ${dev}3
+sync